from PyQt5.QtCore import pyqtSignal
from PyQt5.QtWidgets import QTableWidget


class SQTableWidget(QTableWidget):
    droppedEvent = pyqtSignal(object)

    def rows(self):
        for index in range(self.rowCount()):
            yield index

    def columns(self):
        for index in range(self.columnCount()):
            yield index

    def dropEvent(self, event):
        self.droppedEvent.emit(event)
